# Welcome to Circadipy!
=======================================

Introducing **CircadiPy**, a Python package for chronobiological analysis! 
With seamless integration of powerful time series plotting libraries, 
it enables researchers to visualise and study circadian cycles with unrivalled versatility.

Currently, the package supports the visualisation of biological rhythms and their synchronisation with external cues using

1. Actograms: An actogram is a graphical representation of an organism's activity or physiological data over time. It typically shows activity or physiological measurements (e.g. hormone levels, temperature) on the y-axis and time on the x-axis. Actograms are often used to visualise circadian rhythms and patterns of activity/rest cycles.

2. Cosinor Analysis Plot: This plot is used to analyse and display the presence of rhythmic patterns in the data. It's a graphical representation of cosinor analysis, which fits a cosine curve to the data to estimate rhythm parameters such as amplitude, acrophase (peak time) and period.

3. Raster plot: A raster plot shows individual events or occurrences (such as action potentials in neurons) over time. In chronobiology this can be used to show the timing of specific events in relation to the circadian cycle.

4. Histogram: A histogram can be used to show the distribution of events or measurements over a period of time. In chronobiology this could be the distribution of activity bouts or physiological measurements over different time bins.

------------------------------------------------------------------------------------------------------------------------------

CircadiPy also has a built-in simulated data generator that allows the creation of custom data sets for testing, experimentation and comparison purposes.

Please visit our documentation page for more information: https://circadipy.readthedocs.io/en/latest/ 
